Class Fox::FXTreeItem

In: | FXTreeList.rb ../lib/fox/core.rb ../lib/fox/iterators.rb
Parent: | FXObject

Tree list item

# Attributes

parent: | parent item [FXTreeItem]
next: | next sibling item [FXTreeItem]
prev: | previous sibling item [FXTreeItem]
first: | first child item [FXTreeItem]
last: | last child item [FXTreeItem]
below: | item logically below this item [FXTreeItem]
above: | item logically above this item [FXTreeItem]
numChildren: | number of child items [Integer]
text: | item text [String]
openIcon: | open icon [FXIcon]
closedIcon: | closed icon [FXIcon]
data: | user data [Object]
selected: | indicates whether the item is selected [Boolean]
opened: | indicates whether the item is opened [Boolean]
expanded: | indicates whether the item is expanded [Boolean]
enabled: | indicates whether the item is enabled [Boolean]
draggable: | indicates whether the item is draggable [Boolean]

Methods

<=> create destroy detach draggable? each enabled? expanded? getHeight getWidth hasFocus? iconOwned? new opened? selected? setFocus to_s

Attributes

above | [R] |
below | [R] |
closedIcon | [RW] |
data | [RW] |
draggable | [W] |
enabled | [W] |
expanded | [W] |
first | [R] |
last | [R] |
next | [R] |
numChildren | [R] |
openIcon | [RW] |
opened | [W] |
parent | [R] |
prev | [R] |
selected | [W] |
text | [RW] |

Included modules

Enumerable

Public Class methods

new(text, openIcon=nil, closedIcon=nil, data=nil) {|theItem| ...}

Construct a new tree item

Public Instance methods

setFocus(focus)

Set the focus on this tree item (focus is either `true` or `false`)

hasFocus?()

Returns `true` if this item has the focus

selected?()

Returns `true` if this item is selected

opened?()

Returns `true` if this item is opened

expanded?()

Returns `true` if this item is expanded

enabled?()

Returns `true` if this item is enabled

draggable?()

Returns `true` if this item is draggable

iconOwned?()

Returns `true` if this item owns its icons

to_s()

Returns the item's text

getWidth(treeList)

Get the width of this item

getHeight(treeList)

Get the height of this item

create()

Create this tree item

detach()

Detach this tree item

destroy()

Destroy this tree item

<=>(otherItem)

each() {|aTreeItem| ...}

Calls block once for each child of this tree item, passing a reference to that child item as a parameter.